### Method

# SpiceClientGLib MainChannel clipboard_selection_request

since: 0.35

#### Declaration [src]

    void
    spice_main_channel_clipboard_selection_request (
      SpiceMainChannel* channel,
      guint selection,
      guint32 type
    )

#### Description [src]

Request clipboard data of `type` from the guest. The reply is sent through the `SpiceMainChannel::main-clipboard-selection` signal.

Available since: 0.35

#### Parameters

`selection`

  Type: `guint`

  One of the clipboard #VD_AGENT_CLIPBOARD_SELECTION_*.

`type`

  Type: `guint32`

  A #VD_AGENT_CLIPBOARD type.